#
# spec file for package postagelabels
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define unmangled_version 0.220120-2~beta
Name:       postagelabels
Version:	0.220120
Release:    	2~beta
Summary:	Grid and print postal labels.
License:	GPL
URL:		http://prp.xlx.pl
Source0:	%{name}-%{unmangled_version}.tar.gz
%if 0%{?suse_version}==1530
BuildRequires:	python3, python3-gobject, python3-gobject-Gdk, typelib-1_0-Gtk-3_0, libgtk-3-0
Requires:       python3, python3-gobject, python3-gobject-Gdk, typelib-1_0-Gtk-3_0, libgtk-3-0
%else
BuildRequires:	python3, python3-gobject, gtk3
Requires:		python3, python3-gobject, gtk3
%endif
BuildArch:	noarch

%description


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build

%install

mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}/usr/share
mkdir -p %{buildroot}/usr/share/postagelabels
mkdir -p %{buildroot}/usr/share/applications
mkdir -p %{buildroot}/usr/bin

install -m 0755 postagelabels.py %{buildroot}/usr/bin
install -m 0644 png/postagelabels.png %{buildroot}/usr/share/postagelabels/postagelabels.png
install -m 0644 png/blank_small.png %{buildroot}/usr/share/postagelabels/blank_small.png
install -m 0644 png/szablon.png %{buildroot}/usr/share/postagelabels/szablon.png
install -m 0644 postagelabels.desktop %{buildroot}/usr/share/applications



%files
%defattr(0755,root,root)
/usr/bin/postagelabels.py
/usr/share/postagelabels/
%defattr(0644,root,root)
/usr/share/postagelabels/postagelabels.png
/usr/share/postagelabels/blank_small.png
/usr/share/postagelabels/szablon.png
/usr/share/applications/postagelabels.desktop

%changelog
